### Class

# St ThemeContext

since: 14

#### Description

    final class St.ThemeContext : GObject.Object
    {
      /* No available fields */
    }

No description available.

Available since: 14

#### Ancestors

- GObject

#### Constructors

###### st_theme_context_new

Create a new theme context not associated with any `ClutterStage`. This can be useful in testing scenarios, or if using StThemeContext with something other than `ClutterActor` objects, but you generally should use `st_theme_context_get_for_stage()` instead.

since: 14

#### Functions

###### st_theme_context_get_for_stage

Gets a singleton theme context associated with the stage.

since: 14

#### Instance methods

###### st_theme_context_get_font

Gets the default font for the theme context. See st_theme_context_set_font().

since: 14

###### st_theme_context_get_root_node

Gets the root node of the tree of theme style nodes that associated with this context. For the node tree associated with a stage, this node represents styles applied to the stage itself.

since: 14

###### st_theme_context_get_scale_factor

Return the current scale factor of `context`.

since: 14

###### st_theme_context_get_theme

Gets the default theme for the context. See `st_theme_context_set_theme()`

since: 14

###### st_theme_context_intern_node

Return an existing node matching `node`, or if that isn’t possible, `node` itself.

since: 14

###### st_theme_context_set_font

Sets the default font for the theme context. This is the font that is inherited by the root node of the tree of theme nodes. If the font is not overridden, then this font will be used. If the font is partially modified (for example, with ‘font-size: 110%’), then that modification is based on this font.

since: 14

###### st_theme_context_set_theme

Sets the default set of theme stylesheets for the context. This theme will be used for the root node and for nodes descending from it, unless some other style is explicitly specified.

since: 14

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### St.ThemeContext:scale-factor

The scaling factor used for HiDPI scaling.

since: 14

#### Signals

###### St.ThemeContext::changed

Emitted when the icon theme, font, resolution, scale factor or the current theme’s custom stylesheets change.

since: 14

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct StThemeContextClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.